/*
 * Copyright (C) 2016 Socionext Inc.
 *
 * SPDX-License-Identifier:	GPL-2.0+
 */

#ifndef UNIPHIER_LOCAL_INIT_H
#define UNIPHIER_LOCAL_INIT_H

void uniphier_ldxx_local_init(void);
void uniphier_ld11_local_init(void);
void uniphier_ld20_local_init(void);
void uniphier_pxs3_local_init(void);

void uniphier_ld11_umc_funcsel(void);
void uniphier_ld20_umc_funcsel(void);
void uniphier_pxs3_umc_funcsel(void);

#ifdef CONFIG_AVE
extern void uniphier_ld11_ave_drvinit(void);
extern void uniphier_ld20_ave_drvinit(void);
extern void uniphier_pxs3_ave_drvinit(void);
#else
static inline void uniphier_ld11_ave_drvinit(void) {}
static inline void uniphier_ld20_ave_drvinit(void) {}
static inline void uniphier_pxs3_ave_drvinit(void) {}
#endif

#endif /* UNIPHIER_LOCAL_INIT_H */
